#!/bin/sh

echo "Building fparser, dxflib, qcadlib, qcadcmd, qcadactions, qcadguiqt, qcad.."

if [ -d ../mkspecs/linux-g++-qcad ]
then
	export QMAKESPEC=`pwd`/../mkspecs/linux-g++-qcad
fi

cd ..

cd fparser
./configure
make
cd ..

if [ ! -f fparser/lib/libfparser.a ]
then
	echo "Building libfparser.a failed"
	exit;
fi

cd dxflib
./configure
make
cd ..

if [ ! -f dxflib/lib/libdxf.a ]
then
	echo "Building libdxf.a failed"
	exit;
fi

cd qcadcmd
make prepare
cd ..

cd qcadlib
make
cd ..

if [ ! -f qcadlib/lib/libqcad.a ]
then
	echo "Building libqcad.a failed"
	exit;
fi

cd qcadcmd
make
cd ..

if [ ! -f qcadcmd/lib/libqcadcmd.a ]
then
	echo "Building libqcadcmd.a failed"
	exit;
fi

cd qcadactions
make
cd ..

if [ ! -f qcadactions/lib/libqcadactions.a ]
then
	echo "Building libqcadactions.a failed"
	exit;
fi

cd qcadguiqt
make
cd ..

if [ ! -f qcadguiqt/lib/libqcadguiqt.a ]
then
	echo "Building libqcadguiqt.a failed"
	exit;
fi

cd qcad
make
cd ..

if [ ! -f qcad/qcad -a ! -f qcad/qcad.app/Contents/MacOS/qcad ]
then
	echo "Building qcad binary failed"
	exit;
fi

cd scripts
sh ./release_translations.sh

